<script setup></script>

<template>
  <div id="base-overlay">
    <slot />
  </div>
</template>

<style lang="scss" scoped>
  #base-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.38);
    z-index: 100;
  }
</style>
